---
type: api
title: Update organization
description: > WARNING
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-update-organization
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-update-organization
products:
  - Elastic Cloud Enterprise
---

# Update organization

## Paths

- `PUT` `/organizations/{organization_id}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#apikey)

#### Path Parameters

- `organization_id` (string)
  Identifier for the Organization

## Description

> WARNING
> This endpoint is deprecated and scheduled to be removed in the next major version.

Updates an existing organization. Currently unavailable in self-hosted ECE.

## Request Body

`application/json`

The organization to update

- `name` (string) — optional
  The organization's friendly name
- `enforce_authentication_method` (enum) — optional
  Enforces a particular authentication method for organization members
  Values: `sso`
- `default_disk_usage_alerts_enabled` (boolean) — optional
  Whether the default disk alerts are enabled
- `notifications_allowed_email_domains` ([] string) — optional
  The list of allowed domains for notification-email recipients
- `billing_contacts` ([] string) — optional
  The list of contacts for billing notifications
- `operational_contacts` ([] string) — optional
  The list of contacts for operational notifications

## Responses

#### `200`

Organization updated successfully

`application/json`

- `id` (string)
  The organization's identifier
- `name` (string)
  The organization's friendly name
- `enforce_authentication_method` (string)
  Enforces a particular authentication method for organization members
- `default_disk_usage_alerts_enabled` (boolean)
  Whether the default disk alerts are enabled
- `notifications_allowed_email_domains` ([] string)
  The list of allowed domains for notification-email recipients
- `billing_contacts` ([] string)
  The list of contacts for billing notifications, if specified
- `operational_contacts` ([] string)
  The list of contacts for operational notifications, if specified
- `sso_login_identifier` (string)
  The login identifier for initiating SSO
#### `400`

* Name must be between 2 and 30 characters. (code: `organization.invalid_name`)
* User already has an organization. (code: `organization.user_organization_already_exists`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `401`

You are not authorized to perform this action

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
#### `403`

The current user does not have access to the requested organization. (code: `organization.invalid_access`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `404`

Organization not found. (code: `organization.not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
PUT /organizations/{organization_id}
```

#### curl

```curl
curl -X PUT "/organizations/{organization_id}"
```

